<?php
/**
 * Hotel Resort Theme Customizer
 *
 * @package Hotel Resort
 */

/**
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function hotel_resort_customize_register( $wp_customize ) {	

	//add home page setting pannel
	$wp_customize->add_panel( 'hotel_resort_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'Theme Settings', 'hotel-resort' ),
	    'description' => __( 'Description of what this panel does.', 'hotel-resort' ),
	) );

	$wp_customize->add_section( 'hotel_resort_left_right' , array(
    	'title'      => __( 'General Settings', 'hotel-resort' ),
		'priority'   => 30,
		'panel' => 'hotel_resort_panel_id'
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('hotel_resort_theme_options',array(
        'default' => __( 'Right Sidebar', 'hotel-resort' ),
        'sanitize_callback' => 'hotel_resort_sanitize_choices'	        
	));

	$wp_customize->add_control('hotel_resort_theme_options',
	    array(
	        'type' => 'radio',
	        'label' => __( 'Do you want this section', 'hotel-resort' ),
	        'section' => 'hotel_resort_left_right',
	        'choices' => array(
	            'One Column' => __('One Column ','hotel-resort'),
	            'Three Columns' => __('Three Columns','hotel-resort'),
	            'Four Columns' => __('Four Columns','hotel-resort'),
	            'Right Sidebar' => __('Right Sidebar','hotel-resort'),
	            'Left Sidebar' => __('Left Sidebar','hotel-resort'),
	            'Grid Layout' => __('Grid Layout','hotel-resort')
	        ),
	));


	//Topbar section
	$wp_customize->add_section('hotel_resort_topbar',array(
		'title'	=> __('Topbar','hotel-resort'),
		'description'	=> __('Add Topbar Content here','hotel-resort'),
		'priority'	=> null,
		'panel' => 'hotel_resort_panel_id',
	));

	$wp_customize->add_setting('hotel_resort_phone',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('hotel_resort_phone',array(
		'label'	=> __('Add Phone Number','hotel-resort'),
		'section'	=> 'hotel_resort_topbar',
		'setting'	=> 'hotel_resort_phone',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('hotel_resort_mail',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('hotel_resort_mail',array(
		'label'	=> __('Add Email','hotel-resort'),
		'section'	=> 'hotel_resort_topbar',
		'setting'	=> 'hotel_resort_mail',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('hotel_resort_location',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('hotel_resort_location',array(
		'label'	=> __('Add Location','hotel-resort'),
		'section'	=> 'hotel_resort_topbar',
		'setting'	=> 'hotel_resort_location',
		'type'		=> 'text'
	));

	//Social Icons(topbar)
	$wp_customize->add_section('hotel_resort_social_media',array(
		'title'	=> __('Social Media','hotel-resort'),
		'description'	=> __('Add Social Media Url here','hotel-resort'),
		'priority'	=> null,
		'panel' => 'hotel_resort_panel_id',
	));

	$wp_customize->add_setting('hotel_resort_youtube_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('hotel_resort_youtube_url',array(
		'label'	=> __('Add Youtube link','hotel-resort'),
		'section'	=> 'hotel_resort_social_media',
		'setting'	=> 'hotel_resort_youtube_url',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('hotel_resort_facebook_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('hotel_resort_facebook_url',array(
		'label'	=> __('Add Facebook link','hotel-resort'),
		'section'	=> 'hotel_resort_social_media',
		'setting'	=> 'hotel_resort_facebook_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('hotel_resort_twitter_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('hotel_resort_twitter_url',array(
		'label'	=> __('Add Twitter link','hotel-resort'),
		'section'	=> 'hotel_resort_social_media',
		'setting'	=> 'hotel_resort_twitter_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('hotel_resort_rss_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('hotel_resort_rss_url',array(
		'label'	=> __('Add RSS link','hotel-resort'),
		'section'	=> 'hotel_resort_social_media',
		'setting'	=> 'hotel_resort_rss_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('hotel_resort_insta_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('hotel_resort_insta_url',array(
		'label'	=> __('Add Instagram link','hotel-resort'),
		'section'	=> 'hotel_resort_social_media',
		'setting'	=> 'hotel_resort_insta_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('hotel_resort_pint_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('hotel_resort_pint_url',array(
		'label'	=> __('Add Pinterest link','hotel-resort'),
		'section'	=> 'hotel_resort_social_media',
		'setting'	=> 'hotel_resort_pint_url',
		'type'	=> 'url'
	));

	//home page slider
	$wp_customize->add_section( 'hotel_resort_slidersettings' , array(
    	'title'      => __( 'Slider Settings', 'hotel-resort' ),
		'priority'   => 30,
		'panel' => 'hotel_resort_panel_id'
	) );

	for ( $count = 1; $count <= 4; $count++ ) {

		// Add color scheme setting and control.
		$wp_customize->add_setting( 'hotel_resort_slidersettings-page-' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'absint'
		) );

		$wp_customize->add_control( 'hotel_resort_slidersettings-page-' . $count, array(
			'label'    => __( 'Select Slide Image Page', 'hotel-resort' ),
			'section'  => 'hotel_resort_slidersettings',
			'type'     => 'dropdown-pages'
		) );

	}
	
	//OUR services
	$wp_customize->add_section('hotel_resort_acco',array(
		'title'	=> __('Accomodation','hotel-resort'),
		'description'=> __('This section will appear below the slider.','hotel-resort'),
		'panel' => 'hotel_resort_panel_id',
	));
	
	
	$wp_customize->add_setting('hotel_resort_title',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('hotel_resort_title',array(
		'label'	=> __('Section Title','hotel-resort'),
		'section'=> 'hotel_resort_acco',
		'setting'=> 'hotel_resort_title',
		'type'=> 'text'
	));
	
	$wp_customize->add_setting('hotel_resort_subtitle',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('hotel_resort_subtitle',array(
		'label'	=> __('Section Sub-Title','hotel-resort'),
		'section'=> 'hotel_resort_acco',
		'setting'=> 'hotel_resort_subtitle',
		'type'=> 'text'
	));

	for ( $count = 0; $count <= 2; $count++ ) {

		$wp_customize->add_setting( 'hotel_resort_page_settings' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'absint'
		));
		$wp_customize->add_control( 'hotel_resort_page_settings' . $count, array(
			'label'    => __( 'Select Accomodation Page', 'hotel-resort' ),
			'section'  => 'hotel_resort_acco',
			'type'     => 'dropdown-pages'
		));
	}

	//footer
	$wp_customize->add_section('hotel_resort_footer_section',array(
		'title'	=> __('Footer Text','hotel-resort'),
		'description'	=> __('Add some text for footer like copyright etc.','hotel-resort'),
		'panel' => 'hotel_resort_panel_id'
	));
	
	$wp_customize->add_setting('hotel_resort_footer_copy',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('hotel_resort_footer_copy',array(
		'label'	=> __('Copyright Text','hotel-resort'),
		'section'	=> 'hotel_resort_footer_section',
		'type'		=> 'text'
	));
	
}
add_action( 'customize_register', 'hotel_resort_customize_register' );	

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function hotel_resort_customize_preview_js() {
	wp_enqueue_script( 'hotel_resort_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'hotel_resort_customize_preview_js' );


/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class hotel_resort_customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'hotel_resort_customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new hotel_resort_customize_Section_Pro(
				$manager,
				'example_1',
				array(
					'priority' => 9,
					'title'    => esc_html__( 'Hotel Resort Pro', 'hotel-resort' ),
					'pro_text' => esc_html__( 'Update Pro',         'hotel-resort' ),
					'pro_url'  => 'https://www.logicalthemes.com/themes/premium-hotel-resort-wordpress-theme/'
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'hotel-resort-customize-controls', trailingslashit( get_template_directory_uri() ) . '/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'hotel-resort-customize-controls', trailingslashit( get_template_directory_uri() ) . '/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
hotel_resort_customize::get_instance();